<?php
class ActuabdBridge extends FeedExpander {

	const MAINTAINER = 'Yan';
	const NAME = 'ActuaBD Bridge';
	const URI = 'https://www.actuabd.com/';
	const DESCRIPTION = 'Returns the newest articles.';

	protected function parseItem($item){
		$item = parent::parseItem($item);

		$article_html = getSimpleHTMLDOMCached($item['uri']);
		if(!$article_html) {
			$item['content'] = 'Could not request BD Gest: ' . $item['uri'];
			return $item;
		}

		$article_image = '';
		foreach ($article_html->find('img.spip_logo') as $img) {
			if ($img->alt == $item['title']) {
				$article_image = self::URI . $img->src;
				break;
			}
		}
		foreach ($article_html->find('div.content_bottom_left img') as $img) {
			if ($img->alt == $item['title']) {
				$article_image = self::URI . $img->src;
				break;
			}
		}

		$article_content = '';
		if ($article_image) {
			$article_content = '<p><img src="' . $article_image . '" /></p>';
		}
		$article_content .= str_replace(
			'src="/', 'src="' . self::URI,
			$article_html->find('div.content_bottom_left', 0)->innertext
		);

		$article_content = stripWithDelimiters($article_content, '<script', '</script>');

		$item['content'] = $article_content;

		return $item;
	}

	public function collectData(){
		$feedUrl = self::URI . '?page=backend';
		$this->collectExpandableDatas($feedUrl);
	}
}
